Bug 497930 - CS 8.0 Beta ESC installer does not add the PKCS 11 token to firefox's list of security devices as specced. Running Firefox 3.0.7
CS 8.0 Beta ESC installer does not add the PKCS 11 token to firefox's list of...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
1.1
All Windows
high Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-04-27 17:45 EDT by Sean Veale
Modified: 2015-01-04 18:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for this issue. (1.90 KB, patch)
2009-04-29 13:44 EDT, Jack Magne
no flags Details | Diff

  None (edit)
Description Sean Veale 2009-04-27 17:45:26 EDT
Description of problem:
ESC installer does not add the security token to firefox's list of security devices

Version-Release number of selected component (if applicable):
FireFox 3.0.7  
CS 8.0 Beta
Windows XP Sp 2 or 3 installed.

How reproducible:
Always

Steps to Reproduce:
1. On a clean machine, make sure firefox is installed.
2.  Install the ESC client application.  
3.  Go to Tools->Options->Advanced->Encryption-Security Devices
  
Actual results:
No device added.

Expected results:
A device set up referencing the Coolkey.dll

Additional info:
You can work around this in the by adding the device manaully. Click load then browse to windows->System 32->coolkeydll.dll
Comment 1 Jack Magne 2009-04-28 19:41:58 EDT
This is due to some minor issues with the supporting libraries sent along with the pk11install.exe utility. Simple patches to follow:
Comment 2 Jack Magne 2009-04-29 13:44:28 EDT
Created attachment 341799 [details]
Fix for this issue.
Comment 3 Matthew Harmsen 2009-04-29 16:27:02 EDT
attachment (id=341799) +mharmsen
Comment 4 Jack Magne 2009-04-29 16:39:16 EDT
Checking in setup.iss;
/cvs/dirsec/esc/win32/setup.iss,v  <--  setup.iss
new revision: 1.10; previous revision: 1.9
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.

Checking in build.sh;
/cvs/dirsec/esc/win32/build.sh,v  <--  build.sh
new revision: 1.9; previous revision: 1.8
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.

Issue fixed in next build.
Comment 5 Asha Akkiangady 2009-06-11 12:49:23 EDT
Verified.

Tested ESC installation with a freshly installed firefox on Windows XP(SP 2) and Vista, CoolKeyModule is added as a Device/module in firefox referencing the Coolkeypk11.dll.

Note You need to log in before you can comment on or make changes to this bug.